Package net.shibboleth.idp.consent.storage.impl

# Class ConsentResult

java.lang.Object
net.shibboleth.shared.component.AbstractInitializableComponent
net.shibboleth.shared.component.AbstractIdentifiedInitializableComponent
net.shibboleth.shared.component.AbstractIdentifiableInitializableComponent
net.shibboleth.idp.profile.interceptor.AbstractProfileInterceptorResult
net.shibboleth.idp.consent.storage.impl.ConsentResult

All Implemented Interfaces:
  `ProfileInterceptorResult`, `Component`, `DestructableComponent`, `IdentifiableComponent`, `IdentifiedComponent`, `InitializableComponent`

public class ConsentResult extends AbstractProfileInterceptorResult
The result of a consent flow, suitable for storage.

## Constructor Summary

Constructors
Constructor
Description
`ConsentResult(String context, String key, String value, Instant expiration)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class net.shibboleth.idp.profile.interceptor.AbstractProfileInterceptorResult

`getStorageContext, getStorageExpiration, getStorageKey, getStorageValue`

### Methods inherited from class net.shibboleth.shared.component.AbstractIdentifiableInitializableComponent

`setId`

### Methods inherited from class net.shibboleth.shared.component.AbstractIdentifiedInitializableComponent

`doInitialize, ensureId, getId, ifDestroyedThrowDestroyedComponentException, ifInitializedThrowUnmodifiabledComponentException, ifNotInitializedThrowUninitializedComponentException`

### Methods inherited from class net.shibboleth.shared.component.AbstractInitializableComponent

`checkComponentActive, checkSetterPreconditions, destroy, doDestroy, initialize, isDestroyed, isInitialized`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface net.shibboleth.shared.component.IdentifiedComponent

`getId`

## Constructor Details

### ConsentResult

public ConsentResult(@Nonnull @NotEmpty String context, @Nonnull @NotEmpty String key, @Nonnull @NotEmpty String value, @Nullable Instant expiration)
Constructor.

Parameters:
  `context` - storage context
  `key` - storage key
  `value` - storage value
  `expiration` - storage expiration

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`